openbsd-ports/devel/subversion/patches/patch-configure
steven 3e51dfb91f update to subversion 1.3.1
enable python regression tests

from maintainer Sigfred Haversen

ok alek@
2006-04-15 10:27:38 +00:00

31 lines
1.1 KiB
Plaintext

$OpenBSD: patch-configure,v 1.5 2006/04/15 10:27:38 steven Exp $
--- configure.orig Sat Mar 25 03:00:55 2006
+++ configure Sun Mar 26 13:14:07 2006
@@ -21025,7 +21025,7 @@ rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
if test "$ac_cv_search_bindtextdomain" = no; then
for ac_lib in intl; do
- LIBS="-l$ac_lib $ac_func_search_save_LIBS"
+ LIBS="-l$ac_lib -liconv $ac_func_search_save_LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -21070,7 +21070,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_l
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_cv_search_bindtextdomain="-l$ac_lib"
+ ac_cv_search_bindtextdomain="-l$ac_lib -liconv"
break
else
echo "$as_me: failed program was:" >&5
@@ -22392,7 +22392,7 @@ _ACEOF
# Python: Used for testsuite, and bindings
-PYTHON="`$abs_srcdir/build/find_python.sh`"
+PYTHON="python!!PYTHON_VER!!"
if test -z "$PYTHON"; then
{ echo "$as_me:$LINENO: WARNING: Python 2.0 or later is required to run the testsuite" >&5
echo "$as_me: WARNING: Python 2.0 or later is required to run the testsuite" >&2;}